%define name	alsa-patch-bay
%define version 1.0.0
%define release %mkrel 6

Name: 		%{name}
Summary:	Graphical patch bay for the ALSA sequencer API
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://pkl.net/~node/software/alsa-patch-bay/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig fltk-devel libalsa-devel ladcca-devel
BuildRequires:	e2fsprogs-devel doxygen jackit-devel
BuildRequires:	ImageMagick
BuildRequires:	chrpath

%description
ALSA Patch Bay is a graphical patch bay for the ALSA sequencer API. 

%prep
%setup -q

%build
%configure2_5x --disable-rpath --disable-gtkmm
# fix symlink
perl -p -i -e 's/\$\(bindir\)\/jack-patch-bay/\$\(RPM_BUILD_ROOT\)\$\(bindir\)\/jack-patch-bay/g' src/Makefile
%make CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
cd src
chrpath -d %name
chrpath -d `find -name '*.so'`
					
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu



desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="AudioVideo" \
  --add-category="Audio" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 src/5-pin-din.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 src/5-pin-din.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 src/5-pin-din.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc NEWS COPYING README AUTHORS TODO THANKS
%{_bindir}/%name
%{_bindir}/jack-patch-bay
%{_libdir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png




%changelog
* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-6mdv2008.1
+ Revision: 148037
- drop old menu
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Jul 07 2007 Austin Acton <austin@mandriva.org> 1.0.0-6mdv2008.0
+ Revision: 49577
- disable deprecated gtkmm2.0 interface


* Sat Mar 10 2007 Stefan van der Eijk <stefan@mandriva.org> 1.0.0-5mdv2007.1
+ Revision: 140313
- add BuildRequires: desktop-file-utils
- rebuild
- fix URL
- Import alsa-patch-bay

* Wed Jul 12 2006 Lenny Cartier <lenny@mandriva.com> 1.0.0-4mdv2007.0
- xdg

* Fri Jan 27 2006 Austin Acton <austin@mandriva.org> 1.0.0-3mdk
- fix fPIC
- fix rpath

* Sun Jun 06 2004 Austin Acton <austin@mandrake.org> 1.0.0-2mdk
- tweak buildrequires
- configure 2.5

